> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Own Seat Level



## OpenAPI

````yaml /openapi.json put /v1/workspaces/{workspaceId}/licenses/{licenseId}/seats/{userId}/level
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/licenses/{licenseId}/seats/{userId}/level:
    put:
      tags:
        - License Seats
      summary: Set Own Seat Level
      operationId: LicenseSeatsController_setOwnSeatLevel_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
        - name: licenseId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
        - name: userId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetSeatLevelDto'
      responses:
        '204':
          description: ''
components:
  schemas:
    SetSeatLevelDto:
      type: object
      properties:
        viewOnlyFeatureKeys:
          maxItems: 9
          type: array
          items:
            type: string
            enum:
              - brand_standard
              - catalog
              - specifications
              - procurement_finance
              - logistics
              - budget_analysis
              - collaboration
              - ai_assistant
              - ai_extra_credits
        noAccessFeatureKeys:
          maxItems: 9
          type: array
          items:
            type: string
            enum:
              - brand_standard
              - catalog
              - specifications
              - procurement_finance
              - logistics
              - budget_analysis
              - collaboration
              - ai_assistant
              - ai_extra_credits
      required:
        - viewOnlyFeatureKeys
        - noAccessFeatureKeys
      additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.